#include <stdio.h>
#include <math.h>
void sort(int a[], int n)
{
	int i,j,p;
	for(i=0;i<n-1;i++)
		for(j=i+1;j<n;j++)
			if(a[j]<a[i])
			{
				p=a[i];
				a[i]=a[j];
				a[j]=p;
			}
}
int ima_element(int a[],int n, int broj)//ima 1 nema 0
{
	int i=0,ima;
	for(ima=0;i<n;i++)
		if(a[i]==broj)
			ima=1;
	return ima;
}
main()
{
	int N,Q,A[200000],B[200000],i,X,M,gl,index_X,l=0,s;
	
	scanf("%d %d",&N,&Q);
	for(i=0;i<N;i++)
		scanf("%d",&A[i]);
	for(i=0;i<Q;i++)
		scanf("%d",&B[i]);
	sort(A,N);
	for(i=0;i<Q;i++)
	{
		X=B[i];
		M=A[N/2];
		if(X==M)
		{
			gl=0;
		}
		else if(ima_element(A,N,X)==1)
		{
			for(l=0;l<N;l++)
				if(A[l]==X)
					index_X=l;
			if(N%2==0)
				gl=abs(index_X-(N-(index_X+1)));
			else
				gl=abs(index_X-(N-(index_X+1)))-1;
		}
		else if(ima_element(A,N,X)==0)
		{
			A[N]=X;
			sort(A,N+1);
			for(l=0;l<N+1;l++)
				if(A[l]==X)
					index_X=l;
			if(N%2==0)
				gl=abs(index_X-(N-(index_X+1)));
			else
				gl=abs(index_X-(N-(index_X+1)))-1;
			A[N]=0;
		}
		
		printf("%d\n",gl);
	}
}